#!/bin/bash

# Custom script by EdR to undo the reorg before updating

# Restore arcade mra's
cd /media/fat/_Arcade
mv -f ./disabled/_default/*.mra  .                                  2>/dev/null
mv -f ./disabled/_alternatives   .                                  2>/dev/null

# Restore console rbf's
cd /media/fat/_Console
mv -f ./disabled/*.rbf  .                                           2>/dev/null
rename  'GameBoy 1_'    'Gameboy_'       'GameBoy 1_'*.rbf          2>/dev/null
rename  'GameBoy Adv_'  'GBA_'           'GameBoy Adv_'*.rbf        2>/dev/null
rename  'Genesis 1_'    'Genesis_'       'Genesis 1_'*.rbf          2>/dev/null
rename  'Genesis CD_'   'MegaCD_'        'Genesis CD_'*.rbf         2>/dev/null
rename  'Neo Geo Mvs_'  'NeoGeo_'        'Neo Geo Mvs_'*.rbf        2>/dev/null
rename  'NES Famicom_'  'NES_'           'NES Famicom_'*.rbf        2>/dev/null
rename  'Master Sys_'   'SMS_'           'Master Sys_'*.rbf         2>/dev/null
rename  'Super NES_'    'SNES_'          'Super NES_'*.rbf          2>/dev/null
rename  'PlayStation_'  'PSX_'           'PlayStation_'*.rbf        2>/dev/null
rename  'TurboGrafx_'   'TurboGrafx16_'  'TurboGrafx_'*.rbf         2>/dev/null

# Restore other rbf's
cd /media/fat/_Other
rename  'Flappy'        'FlappyBird'     'Flappy_'*.rbf             2>/dev/null
rename  'Galaxy'        'EpochGalaxyII'  'Galaxy_'*.rbf             2>/dev/null
rename  'Life'          'GameOfLife'     'Life_'*.rbf               2>/dev/null
rename  'Scramble'      'TomyScramble'   'Scramble_'*.rbf           2>/dev/null

# Restore utilities
cd /media/fat/_Utility
rename  'InpTest'       'InputTest'      'InpTest_'*.rbf            2>/dev/null

# Restore palettes
cd /media/fat/Palettes
mv -f ./GAMEBOY   /media/fat/games/GAMEBOY/Palettes                 2>/dev/null
mv -f ./GAMEBOY2P /media/fat/games/GAMEBOY2P/Palettes               2>/dev/null
mv -f ./NES       /media/fat/games/NES/Palettes                     2>/dev/null
